Summary:	Generate a POVray mesh from a STL file.
Name:		stl2pov
Version:	2.4.3
Release:	1
License:	GPL
Group:		System Environment/Shells
Source0:	http://www.xs4all.nl/~rsmith/software/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.xs4all.nl/~rsmith/software/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	make, coreutils

%description
The purpose of this program to generate a POVray mesh from a STL file.


%prep
%setup -q
%patch0


%build
gmake %{?_smp_mflags}


%install 
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake PREFIX=${RPM_BUILD_ROOT}%{_prefix} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc ChangeLog INSTALL README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Apr 22 2010 Michael Perzl <michael@perzl.org> - 2.4.3-1
- first version for AIX V5.1 and higher
